From 9517756946e41aaaa7af5d47031b57211e421859 Mon Sep 17 00:00:00 2001
From: Spencer Burris <whiteph@protonmail.com>
Date: Sun, 16 Jun 2019 11:36:36 -0700
Subject: [PATCH 1/2] wicd: add patch to prevent IndexError in curses interface

---
 srcpkgs/wicd/patches/wicd-1421918.patch | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)
 create mode 100644 srcpkgs/wicd/patches/wicd-1421918.patch

diff --git a/srcpkgs/wicd/patches/wicd-1421918.patch b/srcpkgs/wicd/patches/wicd-1421918.patch
new file mode 100644
index 00000000000..f855ec5b1cc
--- /dev/null
+++ b/srcpkgs/wicd/patches/wicd-1421918.patch
@@ -0,0 +1,16 @@
+=== modified file 'curses/wicd-curses.py'
+--- curses/wicd-curses.py	2014-12-21 16:57:33 +0000
++++ curses/wicd-curses.py	2015-02-24 23:41:01 +0000
+@@ -532,7 +532,10 @@
+     def get_selected_profile(self):
+         """Get the selected wired profile"""
+         loc = self.get_focus()[1]
+-        return self.theList[loc]
++        if len(self.theList) > loc:
++            return self.theList[loc]
++        else:
++            return self.theList[-1]
+ 
+ 
+ class AdHocDialog(Dialog2):
+

From 2c6983b527c6765b7d12f0d6cfc336f75c41db57 Mon Sep 17 00:00:00 2001
From: Spencer Burris <whiteph@protonmail.com>
Date: Sun, 16 Jun 2019 13:29:55 -0700
Subject: [PATCH 2/2] wicd: bump revision number

---
 srcpkgs/wicd/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/wicd/template b/srcpkgs/wicd/template
index be807585983..c8d7b924b91 100644
--- a/srcpkgs/wicd/template
+++ b/srcpkgs/wicd/template
@@ -1,7 +1,7 @@
 # Template file for 'wicd'
 pkgname=wicd
 version=1.7.4
-revision=3
+revision=4
 archs=noarch
 hostmakedepends="python python-setuptools python-Babel"
 depends="dbus-glib dhcpcd ethtool net-tools python-dbus python-gobject2 python-urwid
